{
    attributes = (
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            width = 2000; 
        }, 
        {
            columnName = "C_ORIGINE_DEMANDE"; 
            externalType = VARCHAR2; 
            name = cOrigineDemande; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "CRCT_ORDRE"; 
            externalType = NUMBER; 
            name = crctOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CRCT_SOURCE"; 
            externalType = NUMBER; 
            name = crctSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_SECTION_CNU"; 
            externalType = VARCHAR2; 
            name = cSectionCnu; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_SOUS_SECTION_CNU"; 
            externalType = VARCHAR2; 
            name = cSousSectionCnu; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ANNULATION"; 
            externalType = DATE; 
            name = dAnnulation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRETE_CRCT"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEB_CRCT"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_FIN_CRCT"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ID_SOURCE"; 
            externalType = NUMBER; 
            name = idSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IND_ORDRE"; 
            externalType = NUMBER; 
            name = indOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_CRCT"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_ANNULATION"; 
            externalType = VARCHAR2; 
            name = noArreteAnnulation; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CRCT_OPERATION"; 
            externalType = VARCHAR2; 
            name = operation; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "QUOTITE_SERVICE"; 
            externalType = NUMBER; 
            name = quotiteService; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "CRCT_STATUT"; 
            externalType = VARCHAR2; 
            name = statut; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "TEM_CONFIRME"; 
            externalType = VARCHAR2; 
            name = temConfirme; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "TEM_FRACTIONNEMENT"; 
            externalType = VARCHAR2; 
            name = temFractionnement; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "TEM_GEST_ETAB"; 
            externalType = VARCHAR2; 
            name = temGestEtab; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "CRCT_IMPORT"; 
            externalType = VARCHAR2; 
            name = temImport; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        commentaire, 
        cOrigineDemande, 
        crctOrdre, 
        cSectionCnu, 
        cSousSectionCnu, 
        indOrdre, 
        noArrete, 
        noArreteAnnulation, 
        operation, 
        quotiteService, 
        statut, 
        temConfirme, 
        temFractionnement, 
        temGestEtab, 
        temImport, 
        temValide
    ); 
    className = "org.cocktail.connecteur.serveur.modele.entite_import.EOCrct"; 
    classProperties = (
        commentaire, 
        cOrigineDemande, 
        crctSource, 
        cSectionCnu, 
        cSousSectionCnu, 
        dAnnulation, 
        dateArrete, 
        dateDebut, 
        dateFin, 
        dCreation, 
        dModification, 
        idSource, 
        individu, 
        noArrete, 
        noArreteAnnulation, 
        operation, 
        quotiteService, 
        statut, 
        temConfirme, 
        temFractionnement, 
        temGestEtab, 
        temImport, 
        temValide
    ); 
    externalName = "IMPORT.CRCT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            commentaire, 
            cOrigineDemande, 
            crctSource, 
            cSectionCnu, 
            cSousSectionCnu, 
            dAnnulation, 
            dateArrete, 
            dateDebut, 
            dateFin, 
            dCreation, 
            dModification, 
            idSource, 
            individu, 
            noArrete, 
            noArreteAnnulation, 
            operation, 
            quotiteService, 
            statut, 
            temConfirme, 
            temFractionnement, 
            temGestEtab, 
            temImport, 
            temValide
        ); 
        "_javaClientClassName" = "org.cocktail.connecteur.client.modele.entite_import.EOCrct"; 
    }; 
    name = Crct; 
    primaryKeyAttributes = (crctOrdre); 
    relationships = (
        {
            destination = Individu; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = indOrdre; sourceAttribute = indOrdre; }); 
            name = individu; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = ObjetImportPourIndividuEtPeriode; }; }; 
}
